summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorIngo Heimbach2020-03-04 10:30:51 +0100
committerIngo Heimbach2020-03-04 10:30:51 +0100
commit1d1f23ef8d7977bb5e2d9a543f9a8f3282c7a705 (patch)
treefebe0cdccccefa48f572dd11d6b6f8a12db4f396
parent0fe458655c19a9a71be604e01aa8d59490a4cd3d (diff)
downloadaur-1d1f23ef8d7977bb5e2d9a543f9a8f3282c7a705.tar.gz
Fix the GR version number (was `unknown` after package build)
-rw-r--r--.SRCINFO2
-rw-r--r--PKGBUILD7
2 files changed, 7 insertions, 2 deletions
diff --git a/.SRCINFO b/.SRCINFO
index de4eb84fa55..d620f228a40 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = gr-framework
pkgdesc = A universal framework for cross-platform visualization applications.
pkgver = 0.47.2
- pkgrel = 1
+ pkgrel = 2
url = https://gr-framework.org
arch = i686
arch = x86_64
diff --git a/PKGBUILD b/PKGBUILD
index e3a00d44c9e..fdd693f7001 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,7 +2,7 @@
pkgname="gr-framework"
pkgver="0.47.2"
-pkgrel="1"
+pkgrel="2"
pkgdesc="A universal framework for cross-platform visualization applications."
arch=("i686" "x86_64" "armv6h" "armv7h" "aarch64")
url="https://gr-framework.org"
@@ -15,6 +15,11 @@ optdepends=("ffmpeg: video support")
source=("https://github.com/sciapp/gr/archive/v${pkgver}.tar.gz")
sha256sums=("f7390496ee3f4255346535cfcdf2da102a81c035a5931413fa5da1e2141cba09")
+prepare() {
+ cd "${srcdir}/gr-${pkgver}" || return
+ echo "${pkgver}" > version.txt
+}
+
build() {
cd "${srcdir}/gr-${pkgver}" || return
cmake -DCMAKE_INSTALL_PREFIX=/usr/gr \